# Interface Connector

public interface Connector
Interface for objects which can supply a JDBC Connection to a single database.

Should its use be replaced by use of the similar but bigger (and beany) javax.sql.DataSource interface?

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
Returns a JDBC Connection object.

## Method Details

### getConnection

Connection getConnection() throws SQLException
Returns a JDBC Connection object.

Returns:
  a connection
Throws:
  `SQLException`